unit TrnPf;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs, webtrans,
  StdCtrls, Buttons, ExtCtrls;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    Panel2: TPanel;
    Edit1: TEdit;
    Label1: TLabel;
    Edit2: TEdit;
    Edit3: TEdit;
    Edit4: TEdit;
    Edit5: TEdit;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Status: TPanel;
    SimpleFileTransactionProcessor1: TSimpleFileTransactionProcessor;
    Timer1: TTimer;
    procedure FormCreate(Sender: TObject);
    procedure Edit1Change(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
   Edit1.text := ExtractFilePath(paramstr(0));
end;

procedure TForm1.Edit1Change(Sender: TObject);
begin
  SimpleFileTransactionProcessor1.QueueDirectory := Edit1.text;
end;

procedure TForm1.Timer1Timer(Sender: TObject);
begin
   Timer1.enabled := False;
   try
     if SimpleFileTransactionProcessor1.GetNextTransaction then
      with SimpleFileTransactionProcessor1,SimpleFileTransactionProcessor1.TransactionData do
      begin
        Status.caption := StatusMessage;
        Edit5.Text := TransactionID;
        Edit2.Text:=  CardNumber;
        Edit3.Text := ExpiryMonth+'/'+ExpiryYear;
        Edit4.Text := TransactionAmount;
        Application.Restore;
        beep;
        if MessageDlg('Accept this transaction?',mtConfirmation,[mbYes, mbNo],0)=id_Yes then
        begin
          TransactionStatus := tsAccept
        end
        else
          TransactionStatus := tsReject;
        Status.caption := StatusMessage+' at '+DateTimeToStr(Now);
        SaveTransaction;
      end;
   finally
     Timer1.enabled := True;
     Application.Minimize;
   end;
end;

end.
